local AL = AceLibrary("AceLocale-2.2"):new("AtlasLoot");
local BabbleFaction = AceLibrary("Babble-Faction-2.2");

function AtlasLootRepMenu()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    getglobal("AtlasLootItemsFrame_BACK"):Hide();
    --Original WoW Factions
    AtlasLootMenuItem_3_Name:SetText(AL["Factions - Original WoW"]);
    AtlasLootMenuItem_3_Extra:SetText("");
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Box_03");
    AtlasLootMenuItem_3.type="Factions";
    AtlasLootMenuItem_3.lootpage="REPMENU_ORIGINAL";
    AtlasLootMenuItem_3.text=AL["Factions - Original WoW"];
    AtlasLootMenuItem_3:Show();
    --BC Factions
    AtlasLootMenuItem_18_Name:SetText(AL["Factions - Burning Crusade"]);
    AtlasLootMenuItem_18_Extra:SetText("");
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Box_04");
    AtlasLootMenuItem_18.type="Factions";
    AtlasLootMenuItem_18.lootpage="REPMENU_BC";
    AtlasLootMenuItem_18.text=AL["Factions - Burning Crusade"];
    AtlasLootMenuItem_18:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["Factions"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end

function AtlasLootRepMenu_OriginalWoW()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    getglobal("AtlasLootItemsFrame_BACK"):Show();
    getglobal("AtlasLootItemsFrame_BACK").lootpage = "REPMENU";
    --Argent Dawn
    AtlasLootMenuItem_2_Name:SetText(BabbleFaction["Argent Dawn"]);
    AtlasLootMenuItem_2_Extra:SetText("");
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Talisman_08");
    AtlasLootMenuItem_2.type="Factions";
    AtlasLootMenuItem_2.lootpage="Argent1";
    AtlasLootMenuItem_2.text=BabbleFaction["Argent Dawn"];
    AtlasLootMenuItem_2:Show();
    --Bloodsail Pirates
    AtlasLootMenuItem_17_Name:SetText(BabbleFaction["Bloodsail Buccaneers"]);
    AtlasLootMenuItem_17_Extra:SetText("");
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_Helmet_66");
    AtlasLootMenuItem_17.type="Factions";
    AtlasLootMenuItem_17.lootpage="Bloodsail1";
    AtlasLootMenuItem_17.text=BabbleFaction["Bloodsail Buccaneers"];
    AtlasLootMenuItem_17:Show();
    --Brood of Nozdormu
    AtlasLootMenuItem_3_Name:SetText(BabbleFaction["Brood of Nozdormu"]);
    AtlasLootMenuItem_3_Extra:SetText("");
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Ring_40");
    AtlasLootMenuItem_3.type="Factions";
    AtlasLootMenuItem_3.lootpage="AQBroodRings";
    AtlasLootMenuItem_3.text=BabbleFaction["Brood of Nozdormu"];
    AtlasLootMenuItem_3:Show();
    --Cenarion Hold
    AtlasLootMenuItem_18_Name:SetText(BabbleFaction["Cenarion Circle"]);
    AtlasLootMenuItem_18_Extra:SetText("");
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Chest_Plate07");
    AtlasLootMenuItem_18.type="Factions";
    AtlasLootMenuItem_18.lootpage="Cenarion1";
    AtlasLootMenuItem_18.text=BabbleFaction["Cenarion Circle"];
    AtlasLootMenuItem_18:Show();
    --Darkmoon Faire
    AtlasLootMenuItem_4_Name:SetText(BabbleFaction["Darkmoon Faire"]);
    AtlasLootMenuItem_4_Extra:SetText("");
    AtlasLootMenuItem_4_Icon:SetTexture("Interface\\Icons\\INV_Misc_Ticket_Tarot_Maelstrom_01");
    AtlasLootMenuItem_4.type="Factions";
    AtlasLootMenuItem_4.lootpage="Darkmoon";
    AtlasLootMenuItem_4.text=BabbleFaction["Darkmoon Faire"];
    AtlasLootMenuItem_4:Show();
    --Frostwolf Clan
    AtlasLootMenuItem_19_Name:SetText(BabbleFaction["Frostwolf Clan"]);
    AtlasLootMenuItem_19_Extra:SetText("|cffFF8400"..BabbleFaction["Horde"]);
    AtlasLootMenuItem_19_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_FrostwolfTrinket_01");
    AtlasLootMenuItem_19.type="Factions";
    AtlasLootMenuItem_19.lootpage="Frostwolf1";
    AtlasLootMenuItem_19.text=BabbleFaction["Frostwolf Clan"];
    AtlasLootMenuItem_19:Show();
    --Hydraxian Waterlords
    AtlasLootMenuItem_5_Name:SetText(BabbleFaction["Hydraxian Waterlords"]);
    AtlasLootMenuItem_5_Extra:SetText("");
    AtlasLootMenuItem_5_Icon:SetTexture("Interface\\Icons\\Spell_Frost_SummonWaterElemental_2");
    AtlasLootMenuItem_5.type="Factions";
    AtlasLootMenuItem_5.lootpage="WaterLords1";
    AtlasLootMenuItem_5.text=BabbleFaction["Hydraxian Waterlords"];
    AtlasLootMenuItem_5:Show();
    --Stormpike Guard
    AtlasLootMenuItem_20_Name:SetText(BabbleFaction["Stormpike Guard"]);
    AtlasLootMenuItem_20_Extra:SetText("|cffFF8400"..BabbleFaction["Alliance"]);
    AtlasLootMenuItem_20_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_StormPikeTrinket_01");
    AtlasLootMenuItem_20.type="Factions";
    AtlasLootMenuItem_20.lootpage="Stormpike1";
    AtlasLootMenuItem_20.text=BabbleFaction["Stormpike Guard"];
    AtlasLootMenuItem_20:Show();
    --Thorium Brotherhood
    AtlasLootMenuItem_6_Name:SetText(BabbleFaction["Thorium Brotherhood"]);
    AtlasLootMenuItem_6_Extra:SetText("");
    AtlasLootMenuItem_6_Icon:SetTexture("Interface\\Icons\\INV_Ingot_Mithril");
    AtlasLootMenuItem_6.type="Factions";
    AtlasLootMenuItem_6.lootpage="Thorium1";
    AtlasLootMenuItem_6.text=BabbleFaction["Thorium Brotherhood"];
    AtlasLootMenuItem_6:Show();
    --Timbermaw Hold
    AtlasLootMenuItem_21_Name:SetText(BabbleFaction["Timbermaw Hold"]);
    AtlasLootMenuItem_21_Extra:SetText("");
    AtlasLootMenuItem_21_Icon:SetTexture("Interface\\Icons\\INV_Misc_Horn_01");
    AtlasLootMenuItem_21.type="Factions";
    AtlasLootMenuItem_21.lootpage="Timbermaw";
    AtlasLootMenuItem_21.text=BabbleFaction["Timbermaw Hold"];
    AtlasLootMenuItem_21:Show();
    --The Wintersaber Trainers
    AtlasLootMenuItem_7_Name:SetText(BabbleFaction["Wintersaber Trainers"]);
    AtlasLootMenuItem_7_Extra:SetText("|cffFF8400"..BabbleFaction["Alliance"]);
    AtlasLootMenuItem_7_Icon:SetTexture("Interface\\Icons\\Ability_Mount_PinkTiger");
    AtlasLootMenuItem_7.type="Factions";
    AtlasLootMenuItem_7.lootpage="Wintersaber1";
    AtlasLootMenuItem_7.text=BabbleFaction["Wintersaber Trainers"];
    AtlasLootMenuItem_7:Show();
    --Zandalar Tribe
    AtlasLootMenuItem_22_Name:SetText(BabbleFaction["Zandalar Tribe"]);
    AtlasLootMenuItem_22_Extra:SetText("");
    AtlasLootMenuItem_22_Icon:SetTexture("Interface\\Icons\\INV_Misc_Coin_08");
    AtlasLootMenuItem_22.type="Factions";
    AtlasLootMenuItem_22.lootpage="Zandalar1";
    AtlasLootMenuItem_22.text=BabbleFaction["Zandalar Tribe"];
    AtlasLootMenuItem_22:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["Factions - Original WoW"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end

function AtlasLootRepMenu_BurningCrusade()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    getglobal("AtlasLootItemsFrame_BACK"):Show();
    getglobal("AtlasLootItemsFrame_BACK").lootpage = "REPMENU";
    --The Aldor
    AtlasLootMenuItem_2_Name:SetText(BabbleFaction["The Aldor"]);
    AtlasLootMenuItem_2_Extra:SetText("");
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\Spell_Holy_SealOfSalvation");
    AtlasLootMenuItem_2.type="Factions";
    AtlasLootMenuItem_2.lootpage="Aldor1";
    AtlasLootMenuItem_2.text=BabbleFaction["The Aldor"];
    AtlasLootMenuItem_2:Show();
    --The Ashtongue Deathsworn
    AtlasLootMenuItem_17_Name:SetText(BabbleFaction["Ashtongue Deathsworn"]);
    AtlasLootMenuItem_17_Extra:SetText("");
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_Misc_Gem_Pearl_05");
    AtlasLootMenuItem_17.type="Factions";
    AtlasLootMenuItem_17.lootpage="Ashtongue1";
    AtlasLootMenuItem_17.text=BabbleFaction["Ashtongue Deathsworn"];
    AtlasLootMenuItem_17:Show();
    --Cenarion Expedition
    AtlasLootMenuItem_3_Name:SetText(BabbleFaction["Cenarion Expedition"]);
    AtlasLootMenuItem_3_Extra:SetText("");
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Misc_Ammo_Arrow_02");
    AtlasLootMenuItem_3.type="Factions";
    AtlasLootMenuItem_3.lootpage="CExpedition1";
    AtlasLootMenuItem_3.text=BabbleFaction["Cenarion Expedition"];
    AtlasLootMenuItem_3:Show();
    --The Consortium
    AtlasLootMenuItem_18_Name:SetText(BabbleFaction["The Consortium"]);
    AtlasLootMenuItem_18_Extra:SetText("");
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Weapon_Shortblade_31");
    AtlasLootMenuItem_18.type="Factions";
    AtlasLootMenuItem_18.lootpage="Consortium1";
    AtlasLootMenuItem_18.text=BabbleFaction["The Consortium"];
    AtlasLootMenuItem_18:Show();
    --Honor Hold
    AtlasLootMenuItem_4_Name:SetText(BabbleFaction["Honor Hold"]);
    AtlasLootMenuItem_4_Extra:SetText("|cffFF8400"..BabbleFaction["Alliance"]);
    AtlasLootMenuItem_4_Icon:SetTexture("Interface\\Icons\\INV_BannerPVP_02");
    AtlasLootMenuItem_4.type="Factions";
    AtlasLootMenuItem_4.lootpage="HonorHold1";
    AtlasLootMenuItem_4.text=BabbleFaction["Honor Hold"];
    AtlasLootMenuItem_4:Show();
    --Keepers of Time
    AtlasLootMenuItem_19_Name:SetText(BabbleFaction["Keepers of Time"]);
    AtlasLootMenuItem_19_Extra:SetText("");
    AtlasLootMenuItem_19_Icon:SetTexture("Interface\\Icons\\Ability_Warrior_VictoryRush");
    AtlasLootMenuItem_19.type="Factions";
    AtlasLootMenuItem_19.lootpage="KeepersofTime1";
    AtlasLootMenuItem_19.text=BabbleFaction["Keepers of Time"];
    AtlasLootMenuItem_19:Show();
    --Kurenai
    AtlasLootMenuItem_5_Name:SetText(BabbleFaction["Kurenai"]);
    AtlasLootMenuItem_5_Extra:SetText("|cffFF8400"..BabbleFaction["Alliance"]);
    AtlasLootMenuItem_5_Icon:SetTexture("Interface\\Icons\\INV_Misc_Foot_Centaur");
    AtlasLootMenuItem_5.type="Factions";
    AtlasLootMenuItem_5.lootpage="Kurenai1";
    AtlasLootMenuItem_5.text=BabbleFaction["Kurenai"];
    AtlasLootMenuItem_5:Show();
    --The Lower City
    AtlasLootMenuItem_20_Name:SetText(BabbleFaction["Lower City"]);
    AtlasLootMenuItem_20_Extra:SetText("");
    AtlasLootMenuItem_20_Icon:SetTexture("Interface\\Icons\\Ability_Rogue_MasterOfSubtlety");
    AtlasLootMenuItem_20.type="Factions";
    AtlasLootMenuItem_20.lootpage="LowerCity1";
    AtlasLootMenuItem_20.text=BabbleFaction["Lower City"];
    AtlasLootMenuItem_20:Show();
    --The Mag'har
    AtlasLootMenuItem_6_Name:SetText(BabbleFaction["The Mag'har"]);
    AtlasLootMenuItem_6_Extra:SetText("|cffFF8400"..BabbleFaction["Horde"]);
    AtlasLootMenuItem_6_Icon:SetTexture("Interface\\Icons\\INV_Misc_Foot_Centaur");
    AtlasLootMenuItem_6.type="Factions";
    AtlasLootMenuItem_6.lootpage="Maghar1";
    AtlasLootMenuItem_6.text=BabbleFaction["The Mag'har"];
    AtlasLootMenuItem_6:Show();
    --Netherwing
    AtlasLootMenuItem_21_Name:SetText(BabbleFaction["Netherwing"]);
    AtlasLootMenuItem_21_Extra:SetText("");
    AtlasLootMenuItem_21_Icon:SetTexture("Interface\\Icons\\Ability_Mount_Netherdrakepurple");
    AtlasLootMenuItem_21.type="Factions";
    AtlasLootMenuItem_21.lootpage="Netherwing1";
    AtlasLootMenuItem_21.text=BabbleFaction["Netherwing"];
    AtlasLootMenuItem_21:Show();
    --Ogri'la
    AtlasLootMenuItem_7_Name:SetText(BabbleFaction["Ogri'la"]);
    AtlasLootMenuItem_7_Extra:SetText("");
    AtlasLootMenuItem_7_Icon:SetTexture("Interface\\Icons\\INV_DataCrystal01");
    AtlasLootMenuItem_7.type="Factions";
    AtlasLootMenuItem_7.lootpage="Ogrila1";
    AtlasLootMenuItem_7.text=BabbleFaction["Ogri'la"];
    AtlasLootMenuItem_7:Show();
    --The Scale of the Sands
    AtlasLootMenuItem_22_Name:SetText(BabbleFaction["The Scale of the Sands"]);
    AtlasLootMenuItem_22_Extra:SetText("");
    AtlasLootMenuItem_22_Icon:SetTexture("Interface\\Icons\\INV_Misc_MonsterScales_13");
    AtlasLootMenuItem_22.type="Factions";
    AtlasLootMenuItem_22.lootpage="ScaleSands1";
    AtlasLootMenuItem_22.text=BabbleFaction["The Scale of the Sands"];
    AtlasLootMenuItem_22:Show();
    --The Scryers
    AtlasLootMenuItem_8_Name:SetText(BabbleFaction["The Scryers"]);
    AtlasLootMenuItem_8_Extra:SetText("");
    AtlasLootMenuItem_8_Icon:SetTexture("Interface\\Icons\\Spell_Holy_ChampionsBond");
    AtlasLootMenuItem_8.type="Factions";
    AtlasLootMenuItem_8.lootpage="Scryer1";
    AtlasLootMenuItem_8.text=BabbleFaction["The Scryers"];
    AtlasLootMenuItem_8:Show();
    --The Sha'tar
    AtlasLootMenuItem_23_Name:SetText(BabbleFaction["The Sha'tar"]);
    AtlasLootMenuItem_23_Extra:SetText("");
    AtlasLootMenuItem_23_Icon:SetTexture("Interface\\Icons\\Spell_Nature_LightningOverload");
    AtlasLootMenuItem_23.type="Factions";
    AtlasLootMenuItem_23.lootpage="Shatar1";
    AtlasLootMenuItem_23.text=BabbleFaction["The Sha'tar"];
    AtlasLootMenuItem_23:Show();
    --Sha'tari Skyguard
    AtlasLootMenuItem_9_Name:SetText(BabbleFaction["Sha'tari Skyguard"]);
    AtlasLootMenuItem_9_Extra:SetText("");
    AtlasLootMenuItem_9_Icon:SetTexture("Interface\\Icons\\INV_Misc_Ribbon_01");
    AtlasLootMenuItem_9.type="Factions";
    AtlasLootMenuItem_9.lootpage="Skyguard1";
    AtlasLootMenuItem_9.text=BabbleFaction["Sha'tari Skyguard"];
    AtlasLootMenuItem_9:Show();
    --Sporeggar
    AtlasLootMenuItem_24_Name:SetText(BabbleFaction["Sporeggar"]);
    AtlasLootMenuItem_24_Extra:SetText("");
    AtlasLootMenuItem_24_Icon:SetTexture("Interface\\Icons\\INV_Mushroom_10");
    AtlasLootMenuItem_24.type="Factions";
    AtlasLootMenuItem_24.lootpage="Sporeggar1";
    AtlasLootMenuItem_24.text=BabbleFaction["Sporeggar"];
    AtlasLootMenuItem_24:Show();
    --Thrallmar
    AtlasLootMenuItem_10_Name:SetText(BabbleFaction["Thrallmar"]);
    AtlasLootMenuItem_10_Extra:SetText("|cffFF8400"..BabbleFaction["Horde"]);
    AtlasLootMenuItem_10_Icon:SetTexture("Interface\\Icons\\INV_BannerPVP_01");
    AtlasLootMenuItem_10.type="Factions";
    AtlasLootMenuItem_10.lootpage="Thrallmar1";
    AtlasLootMenuItem_10.text=BabbleFaction["Thrallmar"];
    AtlasLootMenuItem_10:Show();
    --The Tranquillien
    AtlasLootMenuItem_25_Name:SetText(BabbleFaction["Tranquillien"]);
    AtlasLootMenuItem_25_Extra:SetText("|cffFF8400"..BabbleFaction["Horde"]);
    AtlasLootMenuItem_25_Icon:SetTexture("Interface\\Icons\\INV_Misc_Bandana_03");
    AtlasLootMenuItem_25.type="Factions";
    AtlasLootMenuItem_25.lootpage="Tranquillien1";
    AtlasLootMenuItem_25.text=BabbleFaction["Tranquillien"];
    AtlasLootMenuItem_25:Show();
    --The Violet Eye
    AtlasLootMenuItem_11_Name:SetText(BabbleFaction["The Violet Eye"]);
    AtlasLootMenuItem_11_Extra:SetText("");
    AtlasLootMenuItem_11_Icon:SetTexture("Interface\\Icons\\Ability_Warrior_ShieldMastery");
    AtlasLootMenuItem_11.type="Factions";
    AtlasLootMenuItem_11.lootpage="VioletEye1";
    AtlasLootMenuItem_11.text=BabbleFaction["The Violet Eye"];
    AtlasLootMenuItem_11:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["Factions - Burning Crusade"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end
